de.esprit.netsuite.rtask

## Class RemoteTaskId

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.task.TaskId
      - - de.esprit.netsuite.rtask.RemoteTaskId

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    AgentId, JournalTaskId

      public class RemoteTaskId
      extends TaskId

  This is a TaskId of an AsyncTask instance that runs on the server and is associated to a particular client that started it.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteTaskId(java.lang.String taskName, TaskType taskType, SessionId sessionId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteTaskId` | `clone()`
    `boolean` | `equals(java.lang.Object obj)` IMPORTANT Overridden to compare taskId as well as sessionId.
    `SessionId` | `getKillerSessionId()`
    `SessionId` | `getOwnerSessionId()`
    `java.lang.String` | `getRenderText()`
    `java.lang.String` | `getServerName()`
    `SessionId` | `getSessionId()`
    `void` | `setCancelledBy(SessionId killerId)`
    `void` | `setOwnerSessionId(SessionId ownerId)`
    `void` | `setSessionId(SessionId sessionId)` Allows for changing the sessionId.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.task.TaskId

      `getFinishTime, getName, getRenderColor, getRenderIcon, getStartTime, getState, getTID, getType, hashCode, isFinished, isRunning, setFinished, setName, setRunning, setType, toDumpString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteTaskId

          public RemoteTaskId(java.lang.String taskName,
                      TaskType taskType,
                      SessionId sessionId)

  - ### Method Detail

    - #### setCancelledBy

          public final void setCancelledBy(SessionId killerId)

    - #### getKillerSessionId

          public final SessionId getKillerSessionId()

    - #### getServerName

          public final java.lang.String getServerName()

    - #### getSessionId

          public final SessionId getSessionId()

    - #### setSessionId

          public final void setSessionId(SessionId sessionId)

      Allows for changing the sessionId. Is needed for `JournalTask` mechanism.

    - #### getOwnerSessionId

          public final SessionId getOwnerSessionId()

    - #### setOwnerSessionId

          public final void setOwnerSessionId(SessionId ownerId)

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `TaskId`

    - #### clone

          public RemoteTaskId clone()

      Overrides:
        `clone` in class `TaskId`

    - #### equals

          public boolean equals(java.lang.Object obj)

      IMPORTANT Overridden to compare taskId as well as sessionId.
      Overrides:
        `equals` in class `TaskId`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `TaskId`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.